
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Docker 搭建 Tomcat 运行环境的方法_docker / iVAN</title>

    <meta name="description" content="Docker 搭建 Tomcat 运行环境的方法_docker Docker 是一个开源的应用容器引擎,让开发者可以打包他们的应用以及依赖包到一个可移植的容器中,然后发布到任何流行的 Linux 机器上,也可以实现虚拟化.容器是完全使用沙箱机制,相互之间不会有任何接口. 1 Docker与虚拟机   2 搭建过程 2.1 准备宿主系统 准备一个 CentOS 7操作系统,具体要求如下: 必须是 64 位操作系统 建议内核在 3.8 以上 通过以下命令查看您的 CentOS 内核: # uname -r 2.2 安装Docker # yum install d">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Docker 搭建 Tomcat 运行环境的方法_docker</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Docker 是一个开源的应用容器引擎，让开发者可以打包他们的应用以及依赖包到一个可移植的容器中，然后发布到任何流行的 Linux 机器上，也可以实现虚拟化。容器是完全使用沙箱机制，相互之间不会有任何接口。</p>
<p><strong>1 Docker与虚拟机</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTAwODE3MDAzMTQ4LnBuZw==.jpg"> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTcwNjE2NDc3LnBuZw==.jpg"></p>
<p><strong>2 搭建过程</strong></p>
<p><strong>2.1 准备宿主系统</strong></p>
<p>准备一个 CentOS 7操作系统，具体要求如下：</p>
<p>必须是 64 位操作系统</p>
<p>建议内核在 3.8 以上</p>
<p>通过以下命令查看您的 CentOS 内核：</p>
<pre>
# uname -r</pre>
<p><strong>2.2 安装Docker</strong></p>
<pre>
# yum install docker</pre>
<p>可使用以下命令，查看 Docker 是否安装成功：</p>
<pre>
# docker version</pre>
<p>若输出了 Docker 的版本号，则说明安装成功了，可通过以下命令启动 Docker 服务：</p>
<pre>
# systemctl start docker.service</pre>
<p>一旦 Docker 服务启动完毕，就可以开始使用 Docker 了。</p>
<p><strong>2.3 下载镜像</strong></p>
<p>以 CentOS 为例，下载一个 CentOS 的镜像：</p>
<pre>
# docker pull centos:7.2.1511</pre>
<p>下载完成后，使用命令查看本地镜像列表：</p>
<pre>
# docker images
REPOSITORY TAG IMAGE ID CREATED VIRTUAL SIZE
docker.io/centos 7.2.1511 83ee614b834e 9 weeks ago 194.6 MB</pre>
<p><strong>2.4 启动容器</strong></p>
<p>容器是在镜像的基础上来运行的，一旦容器启动了，我们就可以登录到容器中，安装自己所需的软件或应用程序。</p>
<p>使用以下命令即可启动容器：</p>
<pre>
# docker run -i -t -v /root/software/:/mnt/software/ 83ee /bin/bash</pre>
<p>命令包含以下三个部分：</p>
<p>docker run &lt;相关参数&gt; &lt;镜像 ID&gt; &lt;初始命令&gt;</p>
<p>其中，相关参数包括：</p>
<p>-i：表示以“交互模式”运行容器</p>
<p>-t：表示容器启动后会进入其命令行</p>
<p>-v：表示需要将本地哪个目录挂载到容器中，格式：-v &lt;宿主机目录&gt;:&lt;容器目录&gt;</p>
<p>本例中，所有安装程序都放在了宿主机的/root/software/目录下，现在需要将其挂载到容器的/mnt/software/目录下。</p>
<pre>
# pwd
/root/software
# ls
apache-tomcat-7.0.67.tar.gz jdk1.7.0_79.tar.gz</pre>
<p>初始命令表示一旦容器启动，需要运行的命令，此时使用“/bin/bash”，表示启动后直接进入bash shell。</p>
<p><strong>2.5 安装软件</strong></p>
<p>为了搭建 Java Web 运行环境，需要安装 JDK 与 Tomcat，下面的过程均在容器内部进行。本例中，选择/opt/目录作为安装目录，首先需要通过cd /opt/命令进入该目录。</p>
<p><strong>2.5.1 安装JDK</strong></p>
<p>首先，解压 JDK 程序包：</p>
<pre>
# tar -zxf /mnt/software/jdk1.7.0_79.tar.gz -C .</pre>
<p>然后，移动 JDK 目录：</p>
<pre>
# mv jdk1.7.0_79/ /opt/jdk/</pre>
<p><strong>2.5.2 安装Tomcat</strong></p>
<p>首先，解压Tomcat程序包：</p>
<pre>
# tar -zxf /mnt/software/apache-tomcat-7.0.67.tar.gz -C .</pre>
<p>然后，移动Tomcat目录：</p>
<pre>
# mv apache-tomcat-7.0.67/ /opt/tomcat/</pre>
<p><strong>2.5.3 编写运行脚本</strong></p>
<p>编写一个运行脚本，当启动容器时，运行该脚本，启动 Tomcat。</p>
<p>首先，创建运行脚本：</p>
<pre>
# touch /root/run.sh
# vi /root/run.sh</pre>
<p>然后，编辑脚本内容如下：</p>
<pre>
#!/bin/bash
export JAVA_HOME=/opt/jdk/
export PATH=$JAVA_HOME/bin:$PATH
sh /opt/tomcat/bin/catalina.sh run</pre>
<p>最后，为运行脚本添加执行权限：</p>
<pre>
# chmod u+x /root/run.sh</pre>
<p><strong>2.6 退出容器</strong></p>
<p>当以上步骤全部完成后，可使用exit命令，退出容器。</p>
<p>随后，可使用如下命令查看正在运行的容器：</p>
<pre>
# docker ps</pre>
<p>此时，应该看不到任何正在运行的程序，因为刚才已经使用exit命令退出的容器，此时容器处于停止状态，可使用如下命令查看所有容器：</p>
<pre>
# docker ps -a
CONTAINER ID IMAGE COMMAND CREATED STATUS
02bebc3f546a 83ee "/bin/bash" 12 minutes ago Exited (0) 7 seconds ago</pre>
<p>记住以上CONTAINER ID（容器 ID），随后将通过该容器，创建一个可运行 Tomcat 镜像。</p>
<p><strong>2.7 创建Tomcat镜像</strong></p>
<p>使用以下命令，根据某个“容器 ID”来创建一个新的“镜像”：</p>
<pre>
# docker commit 02be mytomcat:1.0
65c88ec597e04812ec3b06b7749578bebcae3aa3d735b565ed25db6818d9d7f3
# docker images
REPOSITORY TAG IMAGE ID CREATED VIRTUAL SIZE
mytomcat 1.0 65c88ec597e0 About a minute ago 514.4 MB
docker.io/centos 7.2.1511 83ee614b834e 9 weeks ago 194.6 MB</pre>
<p>该容器的ID是02be，所创建的镜像名是“mytomcat:1.0”，随后可使用镜像来启动Tomcat容器。</p>
<p><strong>2.8 启动Tomcat容器</strong></p>
<p>首先，新建/root/webapps/ROOT目录，并在该目录下创建一个index.html文件，文件内容如下：</p>
<pre>
&lt;html&gt;
&lt;body&gt;
&lt;h2&gt;Hello World!&lt;/h2&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>正如上面所描述的那样，可以通过“镜像名”或“镜像 ID”来启动容器，与上次启动容器不同的是，现在不再进入容器的命令行，而是直接启动容器内部的 Tomcat 服务。此时，需要使用以下命令：</p>
<pre>
# docker run -d -p 58080:8080 -v /root/webapps/:/opt/tomcat/webapps/ --name mytomcat_1 mytomcat:1.0 /root/run.sh</pre>
<p>其中，相关参数包括：</p>
<p>-d：表示以“守护模式”执行/root/run.sh脚本，此时 Tomcat 控制台不会出现在输出终端上。</p>
<p>-p：表示宿主机与容器的端口映射，此时将容器内部的 8080 端口映射为宿主机的 58080 端口，这样就向外界暴露了 58080 端口，可通过 Docker 网桥来访问容器内部的 8080 端口了。</p>
<p>-v：表示需要将本地哪个目录挂载到容器中，格式：-v &lt;宿主机目录&gt;:&lt;容器目录&gt;</p>
<p>--name：表示容器名称，用一个有意义的名称命名即可。</p>
<p>在浏览器中，输入宿主IP和端口号，即可访问 Tomcat：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTcwNzMwODAyLnBuZw==.jpg"></p>
<p><strong>2.9 最终示意图：</strong></p>
<p><strong><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTA4MTcwNjUzOTc1LnBuZw==.jpg"></strong></p>
<p><strong>2.10 停止Tomcat容器</strong></p>
<pre>
# docker ps -a
CONTAINER ID IMAGE COMMAND CREATED STATUS
f23598b6544d mytomcat:1.0 "/root/run.sh" 6 minutes ago Up 6 minutes
# docker stop f235</pre>
<p><strong>2.11 移除容器</strong></p>
<pre>
# docker ps -a
CONTAINER ID IMAGE COMMAND CREATED STATUS
f23598b6544d mytomcat:1.0 "/root/run.sh" 8 minutes ago Exited (137)
# docker rm f235
f235
# docker ps -a
CONTAINER ID IMAGE COMMAND CREATED STATUS</pre>
<p><strong>2.12 移除镜像</strong></p>
<pre>
# docker images
REPOSITORY TAG IMAGE ID CREATED VIRTUAL SIZE
mytomcat 1.0 65c88ec597e0 31 minutes ago 514.4 MB
docker.io/centos 7.2.1511 83ee614b834e 9 weeks ago 194.6 MB
# docker rmi 65c8
Untagged: mytomcat:1.0
Deleted: 65c88ec597e04812ec3b06b7749578bebcae3aa3d735b565ed25db6818d9d7f3
# docker images
REPOSITORY TAG IMAGE ID CREATED VIRTUAL SIZE
docker.io/centos 7.2.1511 83ee614b834e 9 weeks ago 194.6 MB</pre>
<p>以上所述是小编给大家介绍的Docker 搭建 Tomcat 运行环境的方法，希望对大家有所帮助，如果大家有任何疑问请给我留言，小编会及时回复大家的。在此也非常感谢大家对网站的支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索docker环境搭建<br />
                    ，                docker搭建tomcat<br />
                                    docker运行环境<br />
                                    docker搭建tomcat、docker 运行tomcat、docker容器运行tomcat、docker环境搭建、docker 开发环境搭建，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 01:02:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/docker%e6%90%ad%e5%bb%batomcat/" title="docker搭建tomcat">docker搭建tomcat</a>, <a href="https://www.iamivan.net/tag/docker%e7%8e%af%e5%a2%83%e6%90%ad%e5%bb%ba/" title="docker环境搭建">docker环境搭建</a>, <a href="https://www.iamivan.net/tag/docker%e8%bf%90%e8%a1%8c%e7%8e%af%e5%a2%83/" title="docker运行环境">docker运行环境</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Docker 搭建 Tomcat 运行环境的方法_docker的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZJ7wz.html" rel="bookmark">利用docker搭建LAMP运行环境教程详解&lowbar;docker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				LAMP介绍 LAMP 指的 Linux(操作系统).ApacheHTTP 服务器,MySQL(有时也指MariaDB,数据库软件) 和 PHP(有时也是指 Perl 或 Python) 的第一个字母,一般用来建立 web 服务器. 虽然这些开放源代码程序本身并不是专门设计成同另几个程序一起工作的,但由于它们的免费和开源,这个组合开始流行(大多数Linux发行版本***了这些软件).当一起使用的时候,它们表现的像一个具有活力的解决方案包. 下面介绍如何使用docker来搭建一个包含lamp组件的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boG03b.html" rel="bookmark">JSP的运行环境配置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js Sun推出的JSP(Java Server Pages)是一种执行于服务器端的动态网页开发技术,它基于Java技术.执行JSP时需要在Web服务器上架设一个编译JSP网页的引擎.配置 JSP 环境可以有多种途径,但主要工作就是安装和配置Web服务器和JSP引擎. 下面就以Tomcat作为JSP引擎,配合Tomcat.Apache.IIS这三种Web服务器来讲述3种搭建JSP运行环境的方案. 一.相关软件介绍 1. J2SDK:Java2的软件开发工具,是Java应用程序的基础.JSP是基于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPAxrp.html" rel="bookmark">docker搭建大规模测试环境的实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内容来源:2017年4月8日,第四范式资深测试开发工程师孙高飞在&quot;饿了么技术沙龙[第四弹]北京研发中心测试专场&quot;进行&lt;docker搭建大规模测试环境的实践&gt;演讲分享.IT大咖说作为独家视频合作方,经主办方和讲者审阅授权发布. 嘉宾分享视频地址:http://t.cn/R9UCnpq 困境 当今互联网行业发展迅速,产品架构逐渐复杂,导致环境搭建困难. 测试环境不一致. 因为搭建环境困难,环境不多,所以一套环境有多人使用,容易造成环境的互相踩踏问题. 随着业务的发展和时间的积累			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNZRep.html" rel="bookmark">Windows server 2008搭建php运行环境图文详解&lpar;php5&period;3&rpar;&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下载php组件包 首先到http://windows.php.net/download/下载你需要的php版本,这里我下载的是php5.3. 下面解压php组件 包到磁盘上. 安装Microsoft Visual C++ 2008 SP1 可再发行组件包 x86 版 在地址http://www.microsoft.com/zh-cn/download/details.aspx?id=5582下载安装Microsoft Visual C++ 2008 SP1 可再发行组件包 x86版.注意,这里下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj2Ng5b.html" rel="bookmark">Windows 8 IIS中配置PHP运行环境的方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Windows 8 的IIS(8.0)中搭建PHP运行环境: 一:安装IIS服务器 1.进入控制面板&gt;&gt;程序和功能&gt;&gt;打开或关闭Windows 功能,找到Internet信息服务,记得选中CGI这一项 2.安装完成后在浏览器中打开localhost,查看是否能显示IIS的欢迎页面: 二:下载安装配置PHP环境 1.下载PHP,官网地址:http://windows.php.net/download/, 2.将下载的zip压缩包解压到D盘下,解压后为E:\php; 3.进入控制面板			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNXexp.html" rel="bookmark">Docker 搭建lamp应用实例详解&lowbar;docker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Docker 搭建lamp应用 LAMP 指的 Linux(操作系统).ApacheHTTP 服务器,MySQL(有时也指MariaDB,数据库软件) 和 PHP(有时也是指 Perl 或 Python) 的第一个字母,一般用来建立 web 服务器. 虽然这些开放源代码程序本身并不是专门设计成同另几个程序一起工作的,但由于它们的免费和开源,这个组合开始流行(大多数Linux发行版本捆绑了这些软件).当一起使用的时候,它们表现的像一个具有活力的解决方案包.下面介绍如何使用Docker来搭建一个包含			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8RoLxb.html" rel="bookmark">docker python如何实现打包的方法&lowbar;docker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近用Python写了一段爬虫程序,为了隔离其运行环境,易于分发,把项目打包成Docker镜像 Dockerfile FROM python:2.7.12-alpine ADD ./src /job CMD [&quot;python&quot;, &quot;/job/main.py&quot;] 构建命令 $ docker build -t job . 运行 $ docker run -d --name job job 比较简单 感谢阅读,希望能帮助到大家,谢谢大家对本站的支持! 以上是小编为您精心准			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rdD3p.html" rel="bookmark">docker下安装配置JAVA Tomcat运行环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境 本文所有环境,VMware WorkStation上运行ubuntu-13.10-server-amd64,注意是64位系统,理论上其它虚拟机也是完全可行的. 安装Docker Docker 0.7版本需要linux内核 3.8支持,同时需要AUFS文件系统. # 检查一下AUFS是否已安装 sudo apt-get update sudo apt-get install linux-image-extra-`uname -r` # 添加Docker repository key sudo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNJ31WM.html" rel="bookmark">【收藏】基于Dockerfile搭建JAVA Tomcat运行环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.blogjava.net/yongboy/archive/2013/12/16/407643.html			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN1yNb.html" rel="bookmark" class="title">在getView中用ViewHolder方法是出错，用的android studio</a>
					<div>
						问题描述 在getView中用ViewHolder方法是出错,用的android studio 如图,为什么.. 解决方案 自己写一个holder类 extends 它 就好了 解决方案二: 不是提示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrQ54b.html" rel="bookmark" class="title">JAVA生成JPG缩略图</a>
					<div>
						缩略图 在任何一个综合性网站,我们往往需要上传一些图片资料.但随着高分辨率DC的普及,上传的图片容量会很大,比如300万象素DC出来的文件基本不下 600K.为了管理方便,大家可能不愿意每次都用ACD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3Qy3p.html" rel="bookmark" class="title">Apache负载均衡设置方法&colon; mod</a>
					<div>
						第一次看到这个标题时我也很惊讶,Apache居然还能做负载均衡?真是太强大了.经过一番调查后发现的确可以,而且功能一点都不差.这都归功于 mod_proxy 这个模块.不愧是强大的Apache啊. 废 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwZ15p.html" rel="bookmark" class="title">2000&sol;xp系统密码丢失后的破解方法</a>
					<div>
						一.删除SAM文件,清除Administrator账号密码 Windows 2000所在的Winnt\System32\Config目录下有个SAM文件(即账号密码数据库文件),它保存了Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0POQ0M.html" rel="bookmark" class="title">C语言嵌入式系统编程修炼之内存操作</a>
					<div>
						数据指针 在嵌入式系统的编程中,常常要求在特定的内存单元读写内容,汇编有对应的MOV指令,而除C/C++以外的其它编程语言基本没有直接访问绝对地址的能力.在嵌入式系统的实际调试中,多借助C语言指针所具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal0QQz.html" rel="bookmark" class="title">mysql安装图解教程</a>
					<div>
						本教程以Mysql 4.1.22版本为例,更高版本安装过程与此类似.阅读前,请下载4.1.22,下载地址:www.mysql.com或http://www.skycn.com/soft/24418.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy9Ykb.html" rel="bookmark" class="title">浅谈Symphony Spreadsheet在报表测试中的应用</a>
					<div>
						报表测试中常见数据对比 在 ERP 和 BI 项目测试过程中,对报表数据进行校验是非常有必要的,常见的数据对比场 景如下:从系统导出的 Excel 格式的报表数据,然后再给一份业务数据的源数据,要求校 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6mPvz.html" rel="bookmark" class="title">oralce非归档模式下的恢复（一）历史日志没有被覆盖（可完全恢复）</a>
					<div>
						案例1: 历史日志没有被覆盖(可以完全恢复) 1)切换到非归档模式 SQL&gt; archive log list Database log mode              Archive Mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balkYnz.html" rel="bookmark" class="title">一个轻量级数据管理与分析平台的实现</a>
					<div>
						应用背景简介 在许多典型行业应用中,需要处理按照地域.时间或类别等维度产生并被管理 与维护的数据.被管理的数据分类方式基本维持恒定,而数据本身的内容(字段 )则需要根据业务需要不断变化.一方面,被管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxVqAb.html" rel="bookmark" class="title">讯飞输入法电脑版如何使用语音悬浮框？</a>
					<div>
						  如何使用语音悬浮框? 打开语音悬浮框步骤:点击输入法状态栏设置按钮(最后一个按钮)-&gt;点击扩展功能-&gt;点击语音悬浮框即可.打开后, 如图所示: 此时您可以直接语音输入,可以边语音输入边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN11Yob.html" rel="bookmark" class="title">驱动精灵如何安装</a>
					<div>
						1.1 系统需求 使用驱动精灵,您的计算机需要满足如下条件: X86处理器.128MB内存.50MB硬盘空间(安装所需)及100MB或更多硬盘空间(驱动程序下载所需),微软Windows 2000/X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7gQDb.html" rel="bookmark" class="title">联想yoga3 pro超极本的参数配置怎么样？</a>
					<div>
						  联想yoga3 pro怎么样?联想在今天发布会上发布了联想yoga3超极本,目标可是直指苹果的Macbook Air,那么联想yoga3 pro的参数配置到底如何呢?下面就和小编一起去了解下吧.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKE9NM.html" rel="bookmark" class="title">ActiveMQ私有云、公有云以及Docker环境高可用集群方案汇总</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1749983 Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwKEVb.html" rel="bookmark" class="title">IDEA代码生成插件CodeMaker</a>
					<div>
						前言 Java 开发过程中经常会遇到编写重复代码的事情,例如说:编写领域类和持久类的时候,大部分时候它们的变量名称,类型是一样的,在编写领域类的时候常常要重复写类似的代码.类似的问题太多,却没找到可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAAxEM.html" rel="bookmark" class="title">lcd设计电子时钟protues &comma;keil编程</a>
					<div>
						问题描述 lcd设计电子时钟protues ,keil编程 以AT89C51单片机为核心的时钟,在LCD显示器上显示当前的时间:使用字符型LCD显示器显示当前时间.显示格式为&quot;时时:分分:秒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqADkYM.html" rel="bookmark" class="title">数据存储之偏好设置NSUserDefaults</a>
					<div>
						NSUserDefaults做数据存储也是比较常用,适合轻量级的本地数据存储,读取也很方便. 一.支持的数据类型如下图(NSString.NSArray.NSDictionary.NSData.NSI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6PQLM.html" rel="bookmark" class="title">iPad&colon; 大尺寸触屏的交互意义</a>
					<div>
						iPad: 大尺寸触屏的交互意义--大尺寸多点触控会给人机交互带来哪些变化? Ornithopter是我们进行iPad成都漂流活动时遇到的一个很善于思考的Geek,他将为我们带来一系列的关于手持设备人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZkjXp.html" rel="bookmark" class="title">【C大事】第十二讲：从CFree过度到VC6</a>
					<div>
						修改代码自动补全的快捷键,因为默认的ctrl+space和输入法冲突. 工具栏上点击右键,选择[自定义],在对话框中切换到[键盘],&lt;类别&gt;选择&lt;编辑&gt;,在命令中找到[comp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBNBoM.html" rel="bookmark" class="title">ssh-模拟SSH服务器，实现解析命令返回数据</a>
					<div>
						问题描述 模拟SSH服务器,实现解析命令返回数据 项目中需要使用ssh的方式采集数千台设备上的数据,但是在开发环境中却没有那么多台设备供连接使用.头就想出了用Java搞一个模拟的SSH服务器的方式,搞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlV8qp.html" rel="bookmark" class="title">Discuz&excl;插件：自动隐藏帖子第1&sol;2页&lowbar;php实例</a>
					<div>
						前言 应一位网友要求开卷工作室制作了这个自动隐藏帖子的插件,主要用途是无需手动添加 [hide] 代码,则自动隐藏所有发布的帖子内容,会员需要回复后才可以浏览该帖.这想法相当不错,要实现这一功能也不很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKWw6b.html" rel="bookmark" class="title">AI时代是突破边界的时代</a>
					<div>
						突破边界到底意味着什么?这对于很多人来说都是一个极其陌生的词语.万通的董事长冯仑先生,曾经说过:能够自动知晓去边界的人都是活在未来的人.对于大多数人来说,在人工智能时代,可能做得最多的不是去边界而是突 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7nKOz.html" rel="bookmark" class="title">分析一家传统行业如何用O2O来拥抱大数据</a>
					<div>
						当前,传统产业纷纷跨界互联网,尤其是零售百货业更积极地向O2O转型,利用大数据来提升产业效率,其转型背后原因,一来从供给端看,传统产业生产效率低,加之日益高起的房租.人力成本以及电商冲击,急需互联网信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xa9db.html" rel="bookmark" class="title">spring mvc-Spring web MVC问题，麻烦大神们帮忙看看哪里出错了？很急很急！！！！谢谢啦</a>
					<div>
						问题描述 Spring web MVC问题,麻烦大神们帮忙看看哪里出错了?很急很急!!!!谢谢啦 报错日志: java.lang.IllegalArgumentException at org.spr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmB2np.html" rel="bookmark" class="title">21家上市公司落子新三板：同业竞争关联交易成挂牌阻碍</a>
					<div>
						自扩容以来,迄今超过1000家企业登陆股转系统.无数的私募基金.投资机构.实力强劲的个人投资者纷至沓来,原先寂寥的股转系统一下子充满了人气.在这个爆发过程中,原本高高在上的上市公司也开始想方设法进入新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW86Oz.html" rel="bookmark" class="title">周五晚上跟一位投资圈朋友的简单对话</a>
					<div>
						其实写这篇文章,完全没有想过要去深度研究社交这么大的一个话题,源于周五晚上跟一位投资圈朋友的简单对话,觉得还有点意思,分享出来权当跟大家交流交流.没有想到很好的标题,就暂且用这个吧(以下投资人简称&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ202Oz.html" rel="bookmark" class="title">Flash破解与加密综合&lowbar;Flash教程</a>
					<div>
						本文将陆续更新,请以 http://www.zhugao.cn/info/news_study_show.asp?id=503 为准,同时也避免网友转载时可能出现的遗漏.诚邀感兴趣的朋友一起讨论,以修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY958b.html" rel="bookmark" class="title">JS 截取字符串substr 和 substring方法的区别&lowbar;javascript技巧</a>
					<div>
						substr 方法 返回一个从指定位置开始的指定长度的子字符串. stringvar.substr(start [, length ]) 参数 stringvar 必选项.要提取子字符串的字符串文字或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0NOoz.html" rel="bookmark" class="title">网站追踪技术将用&rdquo;帆布指纹识别&rdquo;取代cookie</a>
					<div>
						[前言] 一般情况下,网站或者广告联盟都会非常想要一种技术方式可以在网络上精确定位到每一个个体,这样可以通过收集这些个体的数据,通过分析后更加精准的去推送广告(精准化营销)或其他有针对性的一些活动.C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ywrmp.html" rel="bookmark" class="title">三星Galaxy Tab拆解图出现 硕大一颗电池</a>
					<div>
						三星的&quot;iPad杀手&quot;Galaxy Tab已经在北美市场开始售卖,一家硬件爱好者网站jkkMobile买到机器后迅速执行了拆解,由于http://www.aliyun.com/zi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJWxqM.html" rel="bookmark" class="title">谈谈对BPM的理解</a>
					<div>
						问题描述 谈谈对BPM的理解•BPM的产生缘由近年来,随着计算机技术的发展和互联网时代的到来,我们已经进入了信息时代,也称为数字化时代,在这数字化的时代里,企业的经营管理都受到了极大的挑战.从上世纪9 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
